Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06531 Interface Major Always Mar 30, 2017, 22:31 May 7, 2017, 13:11
Tester trebor View Status Public Platform MAME (Official Binary)
Assigned To npwoods Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver
Version 0.184 Fixed in Version Build 64-bit
Summary MESS-specific 06531: a2600, a7800, coleco, genesis, nes, snes: Selecting a new ROM file through the internal UI for consoles via external path is broken
Description Selecting a new ROM file through the internal UI for a console with a ROM already loaded, after running the same console from Command Line referencing an external ROM path, results in MAME not loading the new ROM file; rather, MAME retains the ROM that was loaded previously for that console. Systems tested: a7800, nes, coleco, a2600, snes, genesis.
Steps To Reproduce Step 1:
Launch MAME from command line specifying a console system and a ROM file from an external path...
IE:
mame.exe a7800 -cart "C:\Console ROMS\Atari 7800\Color Selector Demo (2003) (PD).a78"
mame.exe nes -cart "C:\Console ROMS\NES\Loopy Color Demo.nes"
mame.exe coleco -cart "C:\Console ROMS\ColecoVision\Carnival (1982)(Coleco).col"
mame.exe a2600 -cart "C:\Console ROMS\Atari 2600\Color Test (26-09-2002) (Eckhard Stolberg).bin"

Step 2:
Bring up the internal UI by pressing the 'Tab' key.

Step 3:
Select "File Manager", select "cartridge (cart) XXXXXXXxxxx", then from that same external path of the folder containing the console's ROM file that was loaded from Command Line, select a ROM different from the one currently loaded and running.

Result:
MAME restarts the console; however, it loads and runs the ROM previously/originally loaded from Command Line and not the new one selected through the Internal UI.
Additional Information Same steps/process works without an issue under 0.183.
Flags
Regression Version 0.184
Affected Sets / Systems a2600, a7800, coleco, genesis, nes, snes
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
3
User avatar
No.13750
B2K24
Moderator
Mar 31, 2017, 03:41
Same result also happens when softlist loading.
User avatar
No.13764
npwoods
Developer
Apr 2, 2017, 11:38
Taking a look at this; this is almost certainly related to the softlist refactoring that happened during the MAME 0.184 dev cycle
User avatar
No.13772
npwoods
Developer
Apr 6, 2017, 10:42
PR#2204 merged in